Loading...
Searching...
No Matches
memstats.h File Reference
`#include <starpu.h>`
`#include <common/config.h>`

Go to the source code of this file.

## Typedefs

typedef void * | _starpu_memory_stats_t

## Functions

void | _starpu_memory_stats_init (starpu_data_handle_t handle)
void | _starpu_memory_stats_init_per_node (starpu_data_handle_t handle, unsigned node)
void | _starpu_memory_stats_free (starpu_data_handle_t handle)
void | _starpu_memory_display_handle_stats (FILE *stream, starpu_data_handle_t handle)
void | _starpu_memory_handle_stats_cache_hit (starpu_data_handle_t handle, unsigned node)
void | _starpu_memory_handle_stats_loaded_shared (starpu_data_handle_t handle, unsigned node)
void | _starpu_memory_handle_stats_loaded_owner (starpu_data_handle_t handle, unsigned node)
void | _starpu_memory_handle_stats_shared_to_owner (starpu_data_handle_t handle, unsigned node)
void | _starpu_memory_handle_stats_invalidated (starpu_data_handle_t handle, unsigned node)